depends = ('ITKPyBase', 'ITKThresholding', 'ITKSmoothing', 'ITKImageIntensity', 'ITKImageGradient', )
templates = (
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUL2IUL2', True, 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUL3IUL3', True, 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUL4IUL4', True, 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterID2', True, 'itk::Image< double,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterID3', True, 'itk::Image< double,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterID4', True, 'itk::Image< double,4 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUL2', True, 'itk::Image< unsigned long,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUL3', True, 'itk::Image< unsigned long,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUL4', True, 'itk::Image< unsigned long,4 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterID2', True, 'itk::Image< double,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterID3', True, 'itk::Image< double,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterID4', True, 'itk::Image< double,4 >'),
)
